Users

Get User Details

GET
/users/{userId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

userId*string
userId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/users/string"
{  "userId": "string",  "profileId": "string",  "profile": {    "profileId": "string",    "firstName": "string",    "lastName": "string",    "middleName": "string",    "countryNumericCode": "string",    "enabled": true,    "contacts": [      {        "contactId": "string",        "key": "email",        "value": "string",        "createTime": "2019-08-24T14:15:22Z",        "updateTime": "2019-08-24T14:15:22Z",        "uuid": "string"      }    ],    "createTime": "2019-08-24T14:15:22Z",    "updateTime": "2019-08-24T14:15:22Z",    "uuid": "string"  },  "groupId": "string",  "group": {    "groupId": "string",    "name": "string",    "formula": "string",    "levels": [      {        "levelId": "string",        "groupId": "string",        "level": 0,        "formulaValue": "string",        "createTime": "2019-08-24T14:15:22Z",        "updateTime": "2019-08-24T14:15:22Z",        "uuid": "string"      }    ],    "tiers": [      {        "tierId": "string",        "groupId": "string",        "name": "string",        "ratio": "string",        "users": 0,        "volume": "string",        "createTime": "2019-08-24T14:15:22Z",        "updateTime": "2019-08-24T14:15:22Z",        "uuid": "string"      }    ],    "createTime": "2019-08-24T14:15:22Z",    "updateTime": "2019-08-24T14:15:22Z",    "uuid": "string"  },  "enabled": true,  "master": true,  "masterMaxLevel": 0,  "masterRatio": "string",  "ratio": "string",  "tag": "string",  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z",  "uuid": "string"}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}